#!/usr/bin/python
#
# Example using the pyconduit module.
#
# Replace URL, TOKEN and ARCRC_CONFIG_PATH with correct values.
# 
# Make sure the Phabricator fields exist in the server for the
# method calls, otherwise change those values too and then run with: 
#
#    $ ./run-conduit.py
#

from pyconduit import Conduit, ConfigException

url='https://<URL>/api/'
token='<CONDUIT_TOKEN>'
config_file_path='<ARCRC_CONFIG_PATH>'

# Create a Conduit object with an api url and token directly.
conduit = Conduit(url, token)
print conduit.call('user.whoami')

# Or use a configuration file to fetch the API information.
try:
  conduit = Conduit.from_config(config_file_path)
except ConfigException as e:
  print "{}: {}".format(e, e.value)
  exit(1)

print conduit.call('maniphest.info', task_id=882)
print conduit.call('maniphest.update',
                   id=913,
                   comments="Updating image and package fields.",
                   auxiliary={'std:maniphest:proj:image': 'system-30.99',
                              'std:maniphest:proj:package': 'pqa-5.0' })
